Skip to content
payrocdevelopers

List payment links

Browse API reference

GET/processing-terminals/{processingTerminalId}/payment-linkslistPaymentLinks

Use this method to return a paginated list of payment links linked to a processing terminal.

Note: If you want to view the details of a specific payment link and you have its paymentLinkId, use our Retrieve Payment Link method.

Use query parameters to filter the list of results that we return, for example, to search for only active links or multi-use links.

Our gateway returns the following information about each payment link in the list:

  • type - Indicates whether the link can be used only once or if it can be used multiple times.
  • authType - Indicates whether the transaction is a sale or a pre-authorization.
  • paymentMethods - Indicates the payment method that the merchant accepts.
  • charge - Indicates whether the merchant or the customer enters the amount for the transaction.
  • status - Indicates if the payment link is active.

For each payment link, we also return a paymentLinkId, which you can use for follow-on actions.

Parameters

NameInTypeDescription
processingTerminalIdRequiredpathstring

Unique identifier that we assigned to the terminal.

merchantReferencequerystring

Filter results by the unique identifier that the merchant assigned to the payment link.

linkTypequerystring

Filter results by the type of link. Send a value of <code>singleUse</code> or <code>multiUse</code>.

chargeTypequerystring

Filter results by the user that entered the amount. Send one of the following values:

  • <code>prompt</code> - Customer entered the amount.
  • <code>preset</code> - Merchant entered the amount.
statusquerystring

Filter results by the status of the payment link. Send a value of <code>active</code>, <code>completed</code>,<code>deactived</code>, or <code>expired</code>.

recipientNamequerystring

Filter results by the customer's name.

recipientEmailquerystring

Filter results by the customer's email address.

createdOnquerystring

Filter results by the link's created date. Send a value in YYYY-MM-DD format.

expiresOnquerystring

Filter results by the link's expiry date. Send a value in YYYY-MM-DD format.

beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful request. Returns a paginated list of payment links.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 34 of 65 fields
  • countintegerrequired
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMorebooleanrequired
    Indicates whether there is another page of results available.
  • limitintegerrequired
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of polymorphic objects that contains payment link information. The value of the type parameter determines which variant you should use: 'multiUse' - Create a link that the merchant can use to take multiple payments. 'singleUse' - Create a link that the merchant can use for only one payment.
    • multiUseobject
      Object that contains information about a multi-use payment link.
      • assetsobject
        Object that contains shareable assets for the payment link.+2 more fields at deeper levels — see the full spec
      • authTypestringrequired
        Type of transaction.salepreAuthorization
      • createdOnstringdate
        Date that the merchant created the link. The format of this value is YYYY-MM-DD.
      • credentialOnFileobject
        Object that contains information about saving the customer’s payment details.+2 more fields at deeper levels — see the full spec
      • customLabelsobject[]
        Array of customLabel objects. Note: You can change the label of the payment button only.+2 more fields at deeper levels — see the full spec
      • expiresOnstringdate
        Last date that the customer can use the payment link. The format of this value is YYYY-MM-DD. Note: If you don't provide an expiration date, the default expiration period applies. You can change the default expiration period on the Self-Care Portal.
      • merchantReferencestringrequired
        Unique identifier that the merchant assigned to the payment.1–48 chars
      • orderobjectrequired
        Object that contains information about the order.+9 more fields at deeper levels — see the full spec
      • paymentLinkIdstring
        Unique identifier that we assigned to the payment link.10–10 chars
      • paymentMethodsstring[]required
        Payment methods that the merchant accepts. Note: If a payment is a pre-authorization, the customer must pay by card.
      • statusstring
        Status of the payment link. The value is one of the following: active Payment link is active. completed Customer has paid. deactivated Merchant has deactivated the link. expired Payment link has expired.activecompleteddeactivatedexpired
      • typestringrequired
        Type of link. The merchant can use a multi-use link to take multiple payments.multiUse
    • singleUseobject
      Object that contains information about a single-use payment link.
      • assetsobject
        Object that contains shareable assets for the payment link.+2 more fields at deeper levels — see the full spec
      • authTypestringrequired
        Type of transaction.salepreAuthorization
      • createdOnstringdate
        Date that the merchant created the link. The format of this value is YYYY-MM-DD.
      • credentialOnFileobject
        Object that contains information about saving the customer’s payment details.+2 more fields at deeper levels — see the full spec
      • customLabelsobject[]
        Array of customLabel objects. Note: You can change the label of the payment button only.+2 more fields at deeper levels — see the full spec
      • expiresOnstringdaterequired
        Last date that the customer can use the payment link. The format of this value is YYYY-MM-DD.
      • merchantReferencestringrequired
        Unique identifier that the merchant assigned to the payment.1–48 chars
      • orderobjectrequired
        Object that contains information about the order.+10 more fields at deeper levels — see the full spec
      • paymentLinkIdstring
        Unique identifier that we assigned to the payment link.10–10 chars
      • paymentMethodsstring[]required
        Payment methods that the merchant accepts. Note: If the payment is a pre-authorization, the customer must pay by card.
      • statusstring
        Status of the payment link. The value is one of the following: active Payment link is active. completed Customer has paid. deactivated Merchant has deactivated the link. expired Payment link has expired.activecompleteddeactivatedexpired
      • typestringrequired
        Type of link. The merchant can use this link for only one payment.singleUse

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer